Unity 5.3.2f1 - Shader error in 'TouchScript/BorderDiffuse'

Random discussions.

Unity 5.3.2f1 - Shader error in 'TouchScript/BorderDiffuse'

Postby Nalin » Wed Feb 17, 2016 12:06 pm

Hi

Just updated to 5.3.2 and I am seeing this error

Shader error in 'TouchScript/BorderDiffuse': incorrect number of arguments to numeric-type constructor at line 24 (on glcore)

so I changed c = float4(1);

to c = float4(1,1,1,1);

is this correct?

thanks

Nalin
Nalin
 
Posts: 13
Joined: Wed May 13, 2015 6:29 pm

Re: Unity 5.3.2f1 - Shader error in 'TouchScript/BorderDiffu

Postby valyard » Wed Feb 24, 2016 10:01 pm

Correct.
5.3 compiler seems to be more strict.
valyard
Site Admin
 
Posts: 435
Joined: Mon Sep 08, 2014 11:57 pm


Return to General Discussion

Who is online

Users browsing this forum: Yahoo [Bot] and 2 guests